<template>
    <j-modal
            :title="title"
            :width="width"
            :visible="visible"
            switchFullscreen
            :footer="null"
            @ok="handleOk"
            @cancel="handleCancel"
            cancelText="关闭">
        <account-transfer-form ref="realForm" @ok="submitCallback" :disabled="disableSubmit" :orderIds="orderIds" :agreementModel="agreementModel"></account-transfer-form>
    </j-modal>
</template>

<script>

    import AccountTransferForm from './accountTransferForm'
    export default {
        name: 'accountTransferModal',
        components: {
            AccountTransferForm,
        },
        props: {
            agreementModel:{
                type: Object,
                required: false,
                default: () => {
                }
            }
        },
        data () {
            return {
                title:'',
                orderIds:'',
                width:1000,
                visible: false,
                disableSubmit: false
            }
        },
        methods: {
            add () {
                this.visible=true
                this.$nextTick(()=>{
                    this.$refs.realForm.add();
                })
            },
            edit (record) {
                this.visible=true
                this.$nextTick(()=>{
                    this.$refs.realForm.edit(record);
                })
            },
            close () {
                this.$emit('close');
                this.visible = false;
            },
            handleOk () {
                this.$refs.realForm.submitForm();
            },
            submitCallback(){
                this.$emit('ok');
                this.visible = false;
            },
            handleCancel () {
                this.close()
            }
        }
    }
</script>

